Get up to 100 named traders’ realized or unrealized PNL and their rank on the PNL leaderboard
GET
/markets-v2/pnl-standings
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.ethos.network/api/v2/markets-v2/pnl-standings?metric=realized&userkeys=example&window=1d"),};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.ethos.network/api/v2/markets-v2/pnl-standings?metric=realized&userkeys=example&window=1d"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder() .url("https://api.ethos.network/api/v2/markets-v2/pnl-standings?metric=realized&userkeys=example&window=1d") .get() .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'GET', url: 'https://api.ethos.network/api/v2/markets-v2/pnl-standings', params: {metric: 'realized', userkeys: 'example', window: '1d'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.ethos.network/api/v2/markets-v2/pnl-standings?metric=realized&userkeys=example&window=1d';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.ethos.network/api/v2/markets-v2/pnl-standings";
let querystring = [ ("metric", "realized"), ("userkeys", "example"), ("window", "1d"), ];
let client = reqwest::Client::new(); let response = client.get(url) .query(&querystring) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request GET \ --url 'https://api.ethos.network/api/v2/markets-v2/pnl-standings?metric=realized&userkeys=example&window=1d'wget --quiet \ --method GET \ --output-document \ - 'https://api.ethos.network/api/v2/markets-v2/pnl-standings?metric=realized&userkeys=example&window=1d'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
metric
required
string
values
required
Array<object>
object
pnl
required
integer format: int64
pnlPercent
required
number
tradesCount
required
The trades behind pnl, counted as pnl-leaderboard counts them. Realized: every in-window trade of a trader who sold in the window, and 0 for one who only bought. Unrealized: the trades composing the open positions opened in the window
integer
userkey
required
string
Example
{ "metric": "realized", "values": [ { "direction": "winners" } ]}Invalid input data
Media typeapplication/json
Invalid input data error (400)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "BAD_REQUEST", "message": "Invalid input data", "issues": []}Not found
Media typeapplication/json
Not found error (404)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "NOT_FOUND", "message": "Not found", "issues": []}Internal server error
Media typeapplication/json
Internal server error error (500)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "INTERNAL_SERVER_ERROR", "message": "Internal server error", "issues": []}